module resummation_definitions
  use pdf_tabulate ! needed for qtabid constants
  implicit none
  private

  integer, parameter, public :: MatchType_none      = 0
  integer, parameter, public :: MatchType_M         = 1
  integer, parameter, public :: MatchType_Mmod      = 2
  integer, parameter, public :: MatchType_basicR    = MatchType_M
  integer, parameter, public :: MatchType_basicRmod = MatchType_Mmod
  integer, parameter, public :: MatchType_logR      = 3
  integer, parameter, public :: MatchType_logRmod   = 4
  integer, parameter, public :: MatchType_M2        = 5
  integer, parameter, public :: MatchType_M2mod     = 6
  integer, parameter, public :: MatchType_NoResum   = -1
  integer, parameter, public :: MatchType_diffRsmdExpnd = -2
  integer, parameter, public :: EvlnType_fromPRM = qtabid_fromPRM
  integer, parameter, public :: EvlnType_LO      = qtabid_evlnLO
  integer, parameter, public :: EvlnType_NLO     = qtabid_evlnNLO

  integer, parameter, public :: PowerType_none      = 0
  integer, parameter, public :: PowerType_shift     = 1
  integer, parameter, public :: PowerType_modshift  = 4
  !integer, parameter, public :: PowerType_varshift1 = 2
  !integer, parameter, public :: PowerType_varshift2 = 3

end module resummation_definitions
